import 'dart:async';
import 'dart:isolate';

import 'package:analyzer/file_system/physical_file_system.dart';
import 'package:analyzer_plugin/starter.dart';
import 'pt_intl_plugin.dart';
// import 'logger/log.dart';

void start(List<String> args, SendPort sendPort) {
  runZonedGuarded(
    () {
      ServerPluginStarter(PTIntlPlugin(PhysicalResourceProvider.INSTANCE)).start(sendPort);
    },
    (Object e, StackTrace stackTrace) {
      // mirrorLog.info(e.toString());
      // mirrorLog.info(stackTrace);
    },
  );
}
